Description

From the documentation (I've inserted the (a) and (b):

(a) Intersect:    Overlay layers such that output contains areas where both layers intersect.

(b) Clip: Overlay layers such that output contains areas that intersect the clip layer.

When I read these descriptions I think that (b) is saying the output layer will contain all the features from the input layer which intersect the

clip layer, and (a) is saying the output layer will be trimmed by the intersect layer, i.e. it will contain all the same features as the output from

(b), but they will be trimmed.

1. Isn't this the wrong way round?  Shouldn't (a) be called "clip" (or "trim"), and (b) be called "intersect"?

2. Why do I get the same results (trimmed) using both tools? (testing on Windows with both polyline and polygon input layers)

Or do I misunderstand something?

History

#1 - 2012-10-02 08:34 PM - Alister Hood

Also:

(c) Difference:    Overlay layers such that output contains areas not intersecting the clip layer.

The output of this is the opposite of the output of (a) and (b). 

When I read the description I think it is saying this is supposed to be the opposite of (a).  If my argument (1) is correct it should be reworded to make it

clear that this is the opposite of the "clip" tool, not the opposite of the "intersect" tool.

#2 - 2012-10-03 03:57 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from Normal to Low

I would suggest to place this questions in the users or developers mailing list, rather than filing them as a ticket. Anyway I will have a look to your notes

during the developer meeting, but right now I don't see anything particularly wrong about those operations. At least from the geometries point of view they

should behave the same as in other gis packages.

#3 - 2012-10-03 05:05 AM - Alister Hood
Giovanni Manghi wrote:

At least from the geometries point of view they should behave the same as in other gis packages.

But surely there shouldn't be two different tools that do exactly the same thing, should there?  That's the main reason I filed it as a ticket.

#4 - 2012-10-03 05:15 AM - Alister Hood

Ah, I see.

#5 - 2012-10-03 05:23 AM - Alister Hood

- Category changed from 44 to Documentation and Help

Intersect and Clip do do different things, but my data wasn't suitable to demonstrate the difference.

Clip trims each feature in the input layer so that only the area which overlaps with any feature in the clip layer is left.

When a feature in the input layer overlaps more than one feature in the intersect layer, Intersect also splits it into separate features.  I'll try to come up with a

better description of the Intersect tool for the documentation, but I need to sleep now :)

#6 - 2012-10-03 05:32 AM - Alister Hood

Alister wrote:

When I read these descriptions I think that (b) is saying the output layer will contain all the features from the input layer which intersect the clip layer

Of course, to do this you would actually use "Vector>Research tools>Select by location" (and then save the selection as a new file if that's what you need).

And you can also do the opposite with the same tool, by first selecting all the features in the layer, and using the option to remove the matching features

from the selection.

#7 - 2012-10-03 12:44 PM - Giovanni Manghi

- Subject changed from Intersect and Clip tools produce the same output to Better documentation for the Intersect and Clip tools

- Target version set to Version 2.0.0

- Priority changed from Low to Normal

- Tracker changed from Bug report to Feature request

#8 - 2012-10-06 02:24 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#9 - 2012-10-10 08:37 PM - Alister Hood

Alister wrote:

I'll try to come up with a better description of the Intersect tool for the documentation
I think something like this:

Intersect: split features in input layer by using features in intersect layer as cutters.

#10 - 2014-06-22 02:55 AM - Giovanni Manghi

- Status changed from Feedback to Open

#11 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

#12 - 2018-02-19 02:45 PM - Harrissou Santanna

- Resolution set to fixed/implemented

- Description updated

- Status changed from Open to Closed

Need description available in online docs. Please report any issue or improvement to the documentation repository (

www.github.com/qgis/QGIS-Documentation)

2025-04-26 3/3

http://www.github.com/qgis/QGIS-Documentation

